org.h2.value.lob

## Class LobDataDatabase

- java.lang.Object
- - org.h2.value.lob.LobData
  - - org.h2.value.lob.LobDataDatabase

    public final class LobDataDatabase
    extends LobData

LOB data stored in database.

### Constructor Summary

Constructors
Constructor and Description
`LobDataDatabase(DataHandler handler, int tableId, long lobId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`DataHandler` `getDataHandler()`
`java.io.InputStream` `getInputStream(long precision)` Get stream to read LOB data from
`long` `getLobId()`
`int` `getTableId()` Get the current table id of this lob.
`boolean` `isLinkedToTable()` Check if this value is linked to a specific table.
`boolean` `isRecoveryReference()`
`void` `remove(ValueLob value)` Remove the underlying resource, if any.
`void` `setRecoveryReference(boolean isRecoveryReference)`
`java.lang.String` `toString()`

### Methods inherited from class org.h2.value.lob.LobData

`getMemory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LobDataDatabase

    public LobDataDatabase(DataHandler handler,
                           int tableId,
                           long lobId)

### Method Detail

#### remove

    public void remove(ValueLob value)

Description copied from class: `LobData`
Remove the underlying resource, if any. For values that are kept fully in memory this method has no effect.

Overrides:
  `remove` in class `LobData`
Parameters:
  `value` - to remove

#### isLinkedToTable

    public boolean isLinkedToTable()

Check if this value is linked to a specific table. For values that are kept fully in memory, this method returns false.

Overrides:
  `isLinkedToTable` in class `LobData`
Returns:
  true if it is

#### getTableId

    public int getTableId()

Get the current table id of this lob.

Returns:
  the table id

#### getLobId

    public long getLobId()

#### getInputStream

    public java.io.InputStream getInputStream(long precision)

Description copied from class: `LobData`
Get stream to read LOB data from

Specified by:
  `getInputStream` in class `LobData`
Parameters:
  `precision` - octet length of the stream, or -1 if unknown
Returns:
  stream to read LOB data from

#### getDataHandler

    public DataHandler getDataHandler()

Overrides:
  `getDataHandler` in class `LobData`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### setRecoveryReference

    public void setRecoveryReference(boolean isRecoveryReference)

#### isRecoveryReference

    public boolean isRecoveryReference()